
package net.mcreator.wip.item;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.item.crafting.Ingredient;
import net.minecraft.item.SwordItem;
import net.minecraft.item.ItemGroup;
import net.minecraft.item.Item;
import net.minecraft.item.IItemTier;

import net.mcreator.wip.Wip2ModElements;

@Wip2ModElements.ModElement.Tag
public class BlueknifeItem extends Wip2ModElements.ModElement {
	@ObjectHolder("wip2:blueknife")
	public static final Item block = null;
	public BlueknifeItem(Wip2ModElements instance) {
		super(instance, 17);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new SwordItem(new IItemTier() {
			public int getMaxUses() {
				return 100;
			}

			public float getEfficiency() {
				return 4f;
			}

			public float getAttackDamage() {
				return 4f;
			}

			public int getHarvestLevel() {
				return 1;
			}

			public int getEnchantability() {
				return 4;
			}

			public Ingredient getRepairMaterial() {
				return Ingredient.EMPTY;
			}
		}, 3, -1.5f, new Item.Properties().group(ItemGroup.COMBAT)) {
		}.setRegistryName("blueknife"));
	}
}
